ru.bitel.bgbilling.modules.inet.accounting.event

## Class FlowAgentInterfaceMapReloadedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.inet.accounting.event.FlowAgentInterfaceMapReloadedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FlowAgentInterfaceMapReloadedEvent
      extends LocalEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowAgentInterfaceMapReloadedEvent(int moduleId, java.util.Map<java.lang.Integer,ru.bitel.bgbilling.modules.inet.runtime.device.InetDeviceRuntime> deviceMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.Integer,ru.bitel.bgbilling.modules.inet.runtime.device.InetDeviceRuntime>` | `getDeviceMap()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowAgentInterfaceMapReloadedEvent

          public FlowAgentInterfaceMapReloadedEvent(int moduleId,
                                                    java.util.Map<java.lang.Integer,ru.bitel.bgbilling.modules.inet.runtime.device.InetDeviceRuntime> deviceMap)

  - ### Method Detail

    - #### getDeviceMap

          public java.util.Map<java.lang.Integer,ru.bitel.bgbilling.modules.inet.runtime.device.InetDeviceRuntime> getDeviceMap()